Texa Desk Application API · Teams
Update Agents in Team
PATCH/
All agents except the one passed in params will be removed
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
team_idintegerrequiredThe ID of the team to be updated
Body application/json
user_idsarray of integerrequiredIDs of users to be added to the team
Responses
200Success
idintegeraccount_idintegeravailability_statusstringThe effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.
auto_offlinebooleanWhether the agent is automatically marked offline when they are away.
confirmedbooleanWhether the agent has confirmed their email address.
emailstringThe email of the agent
available_namestringThe available name of the agent
namestringThe name of the agent
rolestringThe role of the agent One of: agent, administrator.
thumbnailstringThe thumbnail of the agent
custom_role_idintegerThe custom role id of the agent
403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Team not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422User must exist
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring